/* fira-sans-regular - latin */
@font-face {
    font-family: 'Fira Sans';
    font-style: normal;
    font-weight: 400;
    src: url('./fonts/fira-sans-v15-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('./fonts/fira-sans-v15-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('./fonts/fira-sans-v15-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('./fonts/fira-sans-v15-latin-regular.woff') format('woff'), /* Modern Browsers */
         url('./fonts/fira-sans-v15-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('./fonts/fira-sans-v15-latin-regular.svg#FiraSans') format('svg'); /* Legacy iOS */
  }

:root {
    /* Font sizes */
    --mainFontSize: 1.5em;
    --tabFontSize: 14px;

    --fakeWhite: #fefefe; /* Effectively still white but changes select's background on Firefox */

    /* Properties */
    --fontFamily: 'Fira Sans', Arial, sans-serif;
    --borderRad: 10px;
    --scrollBorderRad: 10px 0px 0px 10px;
    --btnBorderRad: 3px;
    --stdPad: 10px;
    --thinPad: 5px;
    --transDur: 0.5s;
    --dropShad: 2px 2px 5px 1px rgba(0,0,0,0.33);
    --innerShad: inset 3px 3px 7px 1px rgba(0,0,0,0.33);
}

body {
    color: var(--textColor);
    font-family: var(--fontFamily);
    font-size: var(--mainFontSize);
    background-color: var(--bodyBg);
}

body.light-theme {
    --bodyBg: #EAEAEA;
    --tabBg: white;
    --tabHovBg: lightgray;
    --panelColor: whitesmoke;
    --btnColor: #555555;
    --btnHovColor: #3CB043;
    --mainAccent: #028A0F;
    --textColor: black;
    --activeTextColor: white;
    --inactiveTabTextColor: darkslategray;
    --disabledSelectColor: gray;
    --disabledSelectBgColor: #cccccc;
    --inputBgColor: var(--fakeWhite);
    --borderColor: 1px solid darkgray;
}

body.dark-theme {
    --bodyBg: #121212;
    --tabBg: black;
    --tabHovBg: #373737;
    --panelColor: #202020;
    --btnColor: #555555;
    --btnHovColor: #607D3B;
    --mainAccent: #234F1E;
    --textColor: #CECECE;
    --activeTextColor: white;
    --inactiveTabTextColor: darkgray;
    --disabledSelectColor: gray;
    --disabledSelectBgColor: black;
    --inputBgColor: #1E1E1E;
    --borderColor: 1px solid black;
}

body.black-theme {
    --bodyBg: black;
    --tabBg: #1E1E1E;
    --tabHovBg: #292929;
    --panelColor: black;
    --btnColor: #555555;
    --btnHovColor: #808080;
    --mainAccent: #646464;
    --textColor: white;
    --activeTextColor: white;
    --inactiveTabTextColor: darkgray;
    --disabledSelectColor: gray;
    --disabledSelectBgColor: #1E1E1E;
    --inputBgColor: black;
    --borderColor: 1px solid #555555;
}

input[type=number], select {
    color: var(--textColor);
    font-family: inherit;
    font-size: var(--tabFontSize);
    background-color: var(--inputBgColor);
    padding: var(--thinPad);
    border-radius: var(--btnBorderRad);
    border: 1px solid var(--mainAccent);
}

input[type=number]:focus {
    outline-color: var(--mainAccent);
}

input[type=number] {
    width: 60px;
    -moz-appearance: textfield; /* Removes num arrows */
}

/* Inactive select */
select:disabled {
    color: var(--inactiveTabTextColor);
    background: var(--disabledSelectBgColor);
}

/* Removes num arrows */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.box {
    background-color: var(--panelColor);
    padding: var(--stdPad);
    border-radius: var(--borderRad);
    border: var(--borderColor);
    box-shadow: var(--dropShad);
}

.btn {
    cursor: pointer;
    border: none;
    outline: none;
    color: white;
    font-family: var(--fontFamily);
    font-size: var(--tabFontSize);
    font-weight: bold;
    border-radius: var(--btnBorderRad);
    background-color: var(--mainAccent);
    padding: var(--stdPad);
    box-shadow: var(--dropShad);
}

.btn:hover {
    background-color: var(--btnHovColor);
    transition: var(--transDur);
}

.btn-side {
    font-size: 12px;
    text-align: center;
    margin-top: 15px;
}

.btn-preset {
    clear: right;
    float: right;
    margin-left: 2em;
    margin-top: 1.5em;
    width: 5em;
}

.preset-desc {
    float: left;
}

.tabbar {
    margin: -10px;
    background-color: var(--tabBg);
    border-radius: 9px 9px 0px 0px;
}

.tablinks {
    color: var(--inactiveTabTextColor);
    margin-top: 5px;
    margin-left: 5px;
    font-family: var(--fontFamily);
    font-size: var(--tabFontSize);
    text-align: center;
    cursor: pointer;
    background-color: var(--panelColor);
    padding: var(--stdPad);
    border: none;
    outline: none;
    border-radius: inherit;
}

.tablinks:hover {
    background-color: var(--tabHovBg);
    transition: var(--transDur);
}

.active {
    color: var(--activeTextColor);
    background-color: var(--mainAccent);
    transition: var(--transDur);
}

.active:hover {
    background-color: var(--mainAccent);
}

.tabcontent {
    float: left;
    clear: both;
}

.checkLabel {
    font-size: var(--tabFontSize);
}

.logo {
    float: left;
    height: 64px;
    margin-right: 15px;
}

.title {
    display: inline;
    vertical-align: middle;
}

#mainpanel {
    width: 70%;
    display: table;
    table-layout: fixed;
    float: left;
}

#outputpanel {
    display: flex;
    flex-direction: column;
    float: right;
    margin: 5px 15px 15px 15px;
    width: 25%;
}

#copy-btns {
    display: flex;
    justify-content: space-around;
}

#copy-btns .btn-side {
    
    width: 45%;
}

#historytext, #outputtext {
    margin-top: 8px;
    margin-bottom: 8px;
}

#historybox {
    overflow-y: scroll;
    height: 50vh;
    border-radius: var(--scrollBorderRad);
}

#historybox>ul {
    list-style-type: none;
    margin: 5px;
    padding: 5px;
}

#outputbox {
    margin-top: 5px;
    height: inherit;
    word-wrap: break-word;
    white-space: pre-line;
}

#popup-message {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    color: var(--textColor);
    background-color: var(--panelColor);
    border: var(--borderColor);
    box-shadow: var(--dropShad);
    text-align: center;
    padding: var(--stdPad);
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 30px;
}

#popup-message.show {
    visibility: visible;
    -webkit-animation: slidein 0.5s, slideout 0.5s 2.5s;
    animation: slidein 0.5s, slideout 0.5s 2.5s;
}

@-webkit-keyframes slidein {
    from {bottom: -30px; opacity: 0;}
    to {buttom: 30px; opacity: 100;}
}

@keyframes slidein {
    from {bottom: -30px; opacity: 0;}
    to {buttom: 30px; opacity: 100;}
}

@-webkit-keyframes slideout {
    from {bottom: 30px; opacity: 100;}
    to {bottom: -30px; opacity: 0;}
}

@keyframes slideout {
    from {bottom: 30px; opacity: 100;}
    to {bottom: -30px; opacity: 0;}
}